eigen_util.h File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Functions

template<class T >
void | eigen_dense2sparse (const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &a, Eigen::SparseMatrix< T, Eigen::RowMajor > &as)
template<class T >
T | cond (const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &a)
template<class T , int Nrows, int Ncols>
bool | invert (const Eigen::Matrix< T, Nrows, Ncols > &a, Eigen::Matrix< T, Nrows, Ncols > &inv_a)
template<class T >
void | put_matrix_market (std::ostream &out, const Eigen::SparseMatrix< T, Eigen::RowMajor > &a)
template<class T >
void | put_matrix_market (std::ostream &out, const Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &a)